Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# type.hh File Reference

Abstract base classes for GTK+ interfaces and objects. More...

`#include <xfc/trackable.hh>`
`#include <xfc/glib/signals.hh>`
`#include <xfc/utfstring.hh>`
`#include <xfc/glib/inline/type.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G

## Classes

- class Xfc::G::TypeInstance
    Abstract base class for GTK+ interfaces and objects. More...
- class Xfc::G::TypeInterface
    Abstract base class for GTK+ interfaces. More...

## Detailed Description

Abstract base classes for GTK+ interfaces and objects.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3